classification
Title: test_urllibnet.urlretrieveNetworkTests fails due to new python.org website
Type: compile error Stage:
Components: Tests Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ericnaeseth, python-dev
Priority: normal Keywords:

Created on 2014-02-20 00:58 by ericnaeseth, last changed 2014-03-17 06:30 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
python-3.3.4-urllibnet-failure.txt ericnaeseth, 2014-02-20 00:58 relevant output of `make test`
Messages (4)
msg211679 - (view) Author: Eric Naeseth (ericnaeseth) Date: 2014-02-20 00:58
The www.python.org website was just redesigned, and apparently is running on some new infrastructure which always responds to `GET /` requests with a body using `Content-Encoding: gzip`.

Python's test suite includes some tests which fetch http://www.python.org/, and some of the tests in `test.test_urllibnet.urlretrieveNetworkTests` are now failing, because they expect the server to return un-gzip'd UTF-8 text. :(

The full test output (from Python 3.3.4) is attached.
msg211680 - (view) Author: Eric Naeseth (ericnaeseth) Date: 2014-02-20 01:03
In addition, the test_reporthook and test_data_header tests try to retrieve a Python logo image from http://www.python.org/community/logos/python-logo-master-v3-TM.png. That is now a 404.
msg211684 - (view) Author: Roundup Robot (python-dev) Date: 2014-02-20 04:07
New changeset 0199bff14c5c by Benjamin Peterson in branch '2.7':
update logo url (#20695)
http://hg.python.org/cpython/rev/0199bff14c5c

New changeset d4b9692ac75f by Benjamin Peterson in branch '3.1':
update logo url (#20695)
http://hg.python.org/cpython/rev/d4b9692ac75f

New changeset 29b1eebecb8e by Benjamin Peterson in branch '3.2':
update logo url (#20695)
http://hg.python.org/cpython/rev/29b1eebecb8e

New changeset c9261cf05db6 by Benjamin Peterson in branch '3.3':
merge 3.2 (#20695)
http://hg.python.org/cpython/rev/c9261cf05db6

New changeset 0399e842073a by Benjamin Peterson in branch 'default':
merge 3.3 (#20695)
http://hg.python.org/cpython/rev/0399e842073a
msg213810 - (view) Author: Roundup Robot (python-dev) Date: 2014-03-17 06:30
New changeset a5247ea950d5 by Benjamin Peterson in branch '3.4':
merge 3.3 (#20695)
http://hg.python.org/cpython/rev/a5247ea950d5
History
Date User Action Args
2014-03-17 06:30:53python-devsetmessages: + msg213810
2014-02-21 21:29:19ned.deilylinkissue20723 superseder
2014-02-20 04:08:49benjamin.petersonsetstatus: open -> closed
resolution: fixed
2014-02-20 04:07:23python-devsetnosy: + python-dev
messages: + msg211684
2014-02-20 01:03:20ericnaesethsetmessages: + msg211680
2014-02-20 00:58:41ericnaesethcreate